import { cx } from '@linaria/core';
import { SmallDialog } from '../../../core/SmallDialog/SmallDialog.js';
import { Typo } from '../../../core/Typo/index.js';
import useParrotTranslation from '../../../hooks/useParrotTranslation.js';
import React__default from 'react';

const ContentStyle = "E_4100_0_7_cevhqx7";
const SecondaryDescStyle = "E_4100_0_7_snbqlt4";
const DeleteDialog = props => {
  const {
    t
  } = useParrotTranslation();
  const {
    title,
    description,
    secondaryDesc,
    cancelText = t("common.cancel"),
    okText = t("common.delete"),
    onOk,
    onCancel,
    className,
    confirmLoading,
    error,
    showFooterErrorIcon
  } = props;
  return /* @__PURE__ */React__default.createElement(SmallDialog, {
    title,
    showOk: true,
    onOk,
    onCancel,
    className,
    okText,
    cancelText,
    okButtonProps: {
      danger: true
    },
    confirmLoading,
    error,
    showFooterErrorIcon
  }, description && /* @__PURE__ */React__default.createElement("div", {
    className: cx(ContentStyle, Typo.Label.l2_regular)
  }, description), secondaryDesc && /* @__PURE__ */React__default.createElement("div", {
    className: cx(SecondaryDescStyle, Typo.Label.l3_regular)
  }, secondaryDesc));
};

export { DeleteDialog };
